# Generated from serialism-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name serialism

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Like ActiveModel::Serializer but smaller and not JSON-centric
License: MIT
URL: https://github.com/tedconf/serialism
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(ruby_gntp)
# BuildRequires: rubygem(ci_reporter_rspec)
# BuildRequires: rubygem(bundler-audit)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-checkstyle_formatter)
BuildArch: noarch

%description
Like ActiveModel::Serializer but smaller and not JSON-centric.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%{gem_instdir}/Jenkinsfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/build
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/serialism.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.0-1
- Initial package
